xquery version "1.0";

declare option exist:serialize "expand-xincludes=no";

declare namespace session="http://exist-db.org/xquery/session";
declare namespace request="http://exist-db.org/xquery/request";
declare namespace util="http://exist-db.org/xquery/util";
declare namespace i18n="http://apache.org/cocoon/i18n/2.1";

import module namespace ristenutil="http://www.risten.no/shared/util"
                     at "../xquery/ristenutil.xqm";

(: Delete the specified label: :)
declare function local:delete-label( $classID as xs:string,
							         $lang as xs:string)
							    as xs:string
{
    let $coll := ristenutil:get-collection()
    return (
        update delete
          collection($coll)//*[@id eq $classID]/label[@xml:lang eq $lang]
          ,
        "true")
};

(: Main function - retrieves some request and session attributes,
   forks further processing to other defined functions depending
   on the retrieved values :)
declare function local:main() as element()+
{
    let $classID := request:get-parameter("class", ""),
        $lang    := request:get-parameter("lang", "")
    return
        let $delete := local:delete-label($classID, $lang)
        return
          <p>
            <i18n:translate>
              <i18n:text i18n:catalogue="classedit">DeletedText</i18n:text>
              <i18n:param>{$classID}</i18n:param>
              <i18n:param><i18n:text>{$lang}</i18n:text></i18n:param>
            </i18n:translate>
          </p>
};

<document>
    <header>
      <style href="risten_edit_classes.css"/>
      <title>Deleting Label!</title>
    </header>
	<body>
        <section title="TitleDeleted" catalogue="classedit">
            { let $start := util:system-time() return
				(
					local:main(),
                     <p class="srchtime">
                        <i18n:translate>
                          <i18n:text>SearchTime</i18n:text>
                          <i18n:param type="number" pattern="#.##" >
                            { round-half-to-even( seconds-from-duration(
                              util:system-time()-$start) , 3)}
                          </i18n:param>
             	       </i18n:translate>
                     </p>
				)
			}
        </section>
    </body>
</document>
