xquery version "1.0";

declare namespace session="http://exist-db.org/xquery/session";
declare namespace util="http://exist-db.org/xquery/util";
declare namespace i18n="http://apache.org/cocoon/i18n/2.1";

import module namespace  dictmenu="http://www.risten.no/shared/dictmenu"  at "../xquery/dictmenu.xqm";
import module namespace classmenu="http://www.risten.no/shared/classmenu" at "../xquery/classmenu.xqm";
import module namespace langmenu="http://www.risten.no/shared/langmenu"   at "../xquery/langmenu.xqm";
import module namespace ristenutil="http://www.risten.no/shared/util"     at "../xquery/ristenutil.xqm";

(: Author: Sjur N. Moshagen "moshagen@samediggi.no"
   $Id: search.xq,v 1.4 2006/07/27 08:37:18 sjur Exp $
:)

let $d := ristenutil:store-coll-in-session(),
    $collID:= session:get-attribute("collection")

return
<document>
   <body>
   
   <section title="SearchTitle" i18n:attr="edtmessg:title">

   <div class="logged-in">
     <p><i18n:text>LogdInAs</i18n:text>: {session:get-attribute("user")}</p>
     <p><a href="editframe.xml?action=logout"
           target="editframe" ><i18n:text>Logout</i18n:text></a></p>
     <p><a href="coll-select.xq"><i18n:text>ChangeColl</i18n:text></a></p>
   </div>

	<!-- Note that to get method="POST" to work correctly with UTF-8,
         all three of method, accept-charset, and enctype should be specified -->
	<form action="search-entries.xq"
	      target="editselection"
	      class="search"
          method="POST"
          accept-charset="UTF-8"
          enctype="multipart/form-data" >
         
     <table class="search">
	   <tr>
		 <th class="search"><i18n:text>Collection</i18n:text></th>
		 <td class="search">
		   <i18n:text>{session:get-attribute("collection") }</i18n:text>
		 </td>
       </tr>
       <tr>
	     <th class="search"><i18n:text>Highlight</i18n:text></th>
         <td class="search">
       	   <input id="searchterm" type="text" name="term" size="15" />
	     </td>
	   </tr>
	   <tr>
		 <th class="search"><i18n:text>DisplayLangs</i18n:text></th>
		 <td class="search">
           { langmenu:get-classlangs(ristenutil:get-collection()) }
		 </td>
       </tr>
	   <tr>
		 <th class="search"><i18n:text>DisplayClass</i18n:text></th>
		 <td class="search">
           { classmenu:get-classification($collID) }
		 </td>
       </tr>
	   <tr>
	     <th class="search" >
           <input type="reset"
                  value="Reset"
                  i18n:attr="value"/>
		 </th>
	     <td class="search">
           <input type="submit"
                  value="Search"
                  i18n:attr="value" />
	     </td>
       </tr>
     </table>

   </form>

   </section>

   </body>

</document>
