<?xml version="1.0"?>
<xsl:stylesheet
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    xmlns:exist="http://exist.sourceforge.net/NS/exist"
    xmlns:i18n="http://apache.org/cocoon/i18n/2.1"
    xmlns:xi="http://www.w3.org/2001/XInclude"
    version="1.0">

  <xsl:import href="../../../xslt/searchdocu2html.xsl" />

  <xsl:param name="queryfile"/>

    <xsl:template match="query-results">
	<form action="save-new-label.xq"
	      class="search"
          method="POST"
          accept-charset="UTF-8"
          enctype="multipart/form-data" >
      <xsl:apply-templates/>
      </form>
    </xsl:template>

    <xsl:template match="langs">
      <span class="lang">
        <span class="title">
          <i18n:text i18n:catalogue="classedit">langtitle</i18n:text>
        </span>
        <xsl:text> – </xsl:text>
        <select name="lang" size="1">
          <xsl:apply-templates/>
        </select>
      </span>
    </xsl:template>

    <xsl:template match="lang">
      <xsl:choose>
        <xsl:when test=". = ancestor::query-results/macro/label/@xml:lang"/>
        <xsl:when test=". = ancestor::query-results/micro/label/@xml:lang"/>
        <xsl:when test=". = ancestor::query-results/nano/label/@xml:lang"/>
        <xsl:otherwise>
          <option value="{.}"><i18n:text><xsl:value-of select="."/></i18n:text></option>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:template>

    <xsl:template match="macro|micro|nano">
      <div class="id">
      <span class="title">
        <i18n:text i18n:catalogue="classedit">IDtitle</i18n:text>
      </span>
      <xsl:text> – </xsl:text>
      <xsl:value-of select="@id"/>
      </div>
      <input type="text" name="label" >
        <xsl:attribute name="value">
          <xsl:value-of select="./text()" />
        </xsl:attribute>
      </input>
      <xsl:text> – </xsl:text>
      <input type="hidden"
             name="class"
             value="{@id}" />
      <input type="submit"
             value="Save"
             i18n:attr="value" />
    </xsl:template>

</xsl:stylesheet>
