<?xml version="1.0"?>
<xsl:stylesheet
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    xmlns:exist="http://exist.sourceforge.net/NS/exist"
    xmlns:i18n="http://apache.org/cocoon/i18n/2.1"
    xmlns:xi="http://www.w3.org/2001/XInclude"
    version="1.0">

  <xsl:import href="../../../xslt/searchdocu2html.xsl" />

  <xsl:param name="queryfile"/>

  <xsl:template match="query-results">
	<p>
      <i18n:translate>
        <i18n:text i18n:catalogue="classedit">ConfirmDelete</i18n:text>
        <i18n:param>
          <i18n:text><xsl:value-of select="label/@xml:lang" /></i18n:text>
        </i18n:param>
      </i18n:translate>
	</p>
	<form action="delete-label.xq"
	      class="search"
          method="POST"
          accept-charset="UTF-8"
          enctype="multipart/form-data" >
      <xsl:apply-templates/>
    </form>
  </xsl:template>

  <xsl:template match="label">
    <span class="id">
      <span class="title">
        <i18n:text i18n:catalogue="classedit">IDtitle</i18n:text>
      </span>
      <xsl:text> – </xsl:text>
      <xsl:value-of select="../@id"/>
    </span>
    <div class="label">
      <span class="title">
        <i18n:text i18n:catalogue="classedit">Labeltitle</i18n:text>
      </span>
      <xsl:text> – </xsl:text>
      <xsl:value-of select="./text()" />
    </div>
    <input type="hidden"
           name="class"
           value="{../@id}" />
    <input type="hidden"
           name="lang"
           value="{@xml:lang}" />
    <input type="submit"
           value="classedit:Delete"
           i18n:attr="value" />
  </xsl:template>

</xsl:stylesheet>
