<?xml version="1.0"?>
<xsl:stylesheet
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    xmlns:exist="http://exist.sourceforge.net/NS/exist"
    xmlns:i18n="http://apache.org/cocoon/i18n/2.1"
    xmlns:xi="http://www.w3.org/2001/XInclude"
    version="1.0">

  <xsl:import href="../../../xslt/searchdocu2html.xsl" />

  <xsl:param name="queryfile"/>

    <xsl:template match="query-results">
	<form action="save-entry.xq"
	      class="search"
          method="POST"
          accept-charset="UTF-8"
          enctype="multipart/form-data" >
      <xsl:apply-templates select="label">
        <xsl:with-param name="showlang" select="./@showlang"/>
        <xsl:with-param name="termcoll" select="./@termcoll"/>
      </xsl:apply-templates>
      </form>
    </xsl:template>

    <xsl:template match="label">
      <xsl:param name="showlang"/>
      <span class="lang">
        <span class="title">
          <i18n:text i18n:catalogue="classedit">langtitle</i18n:text>
        </span>
        <xsl:text> – </xsl:text>
        <i18n:text i18n:catalogue="classedit">
          <xsl:value-of select="@xml:lang"/>
        </i18n:text>
      </span>
      <span class="id">
      <span class="title">
        <i18n:text i18n:catalogue="classedit">IDtitle</i18n:text>
      </span>
      <xsl:text> – </xsl:text>
      <xsl:value-of select="../@id"/>
      </span>
      <input type="text" name="label" >
        <xsl:attribute name="value">
          <xsl:value-of select="./text()" />
        </xsl:attribute>
      </input>
      <xsl:text> – </xsl:text>
      <input type="hidden"
             name="class"
             value="{../@id}" />
      <input type="hidden"
             name="lang"
             value="{@xml:lang}" />
      <input type="submit"
             value="Save"
             i18n:attr="value" />
    </xsl:template>

</xsl:stylesheet>
