xquery version "1.0";

declare namespace session="http://exist-db.org/xquery/session";
declare namespace util="http://exist-db.org/xquery/util";
declare namespace i18n="http://apache.org/cocoon/i18n/2.1";

import module namespace   dictmenu="http://www.risten.no/shared/dictmenu"  at "../xquery/dictmenu.xqm";
import module namespace  classmenu="http://www.risten.no/shared/classmenu" at "../xquery/classmenu.xqm";
import module namespace   langmenu="http://www.risten.no/shared/langmenu"  at "../xquery/langmenu.xqm";
import module namespace ristenutil="http://www.risten.no/shared/util"      at "../xquery/ristenutil.xqm";

(: Author: Sjur N. Moshagen "moshagen@samediggi.no"
   $Id: search.xq,v 1.8 2006/10/18 07:14:43 sjur Exp $
:)

let $d := ristenutil:store-coll-in-session()

let $colltype := session:get-attribute("colltype")

return
<document>
   <body>
   
   <section title="SearchTitle" i18n:attr="edtmessg:title">

   <div class="logged-in">
     <p><i18n:text>LogdInAs</i18n:text>: {session:get-attribute("user")}</p>
     <p><a href="editframe.xml?action=logout"
           target="editframe" ><i18n:text>Logout</i18n:text></a></p>
     <p><a href="coll-select.xq"><i18n:text>ChangeColl</i18n:text></a></p>
   </div>

	<!-- Note that to get method="POST" to work correctly with UTF-8,
         all three of method, accept-charset, and enctype should be specified -->
	<form action="search-coll-entries.xq"
	      target="editselection"
	      class="search"
          method="POST"
          accept-charset="UTF-8"
          enctype="multipart/form-data" >
         
     <table class="search">
	   <tr>
		 <th class="search">
		   <i18n:text>Collection</i18n:text>:
		 </th>
         <td class="search">
		   <i18n:text>{session:get-attribute("collection") }</i18n:text>
	     </td>
       </tr>
       <tr>
	     <th class="search"><i18n:text>SearchFor</i18n:text></th>
         <td class="search">
       	   <input id="searchterm" type="text" name="term" size="15" />
	     </td>
	   </tr>
	   <tr>
	     <td class="search" valign="middle" colspan="2">
	       <span style="text-align: left; !important" >
	       <i18n:translate>
             <i18n:text>Numbr2Sho</i18n:text>
             <i18n:param>
               <select name="howmany" size="1">
                 <option>15</option>
            	 <option>30</option>
               </select>
             </i18n:param>
	       </i18n:translate>
	       </span>
	     </td>

	     <td>
	       <span style="text-align: right; !important" >
           <input type="submit"
                  value="Search"
                  i18n:attr="value" />
	       </span>

	     </td>
       </tr>
     </table>

    <p class="srchex">
       <i18n:translate>
         <i18n:text>DBCount</i18n:text>
         <i18n:param type="number" >{ristenutil:countRecords(
                                                session:get-attribute("collection"),
                                                $colltype) }</i18n:param>
         <i18n:param type="date" ><i18n:date pattern="dd.MM.yyyy" /></i18n:param>
       </i18n:translate>.</p>
    <p class="srchex">
       <i18n:translate>
         <i18n:text>LastUpdt</i18n:text>
         <i18n:param type="date" ><i18n:date
           src-pattern="yyyyMMddhhmmss"
           pattern="dd.MM.yyyy">{ristenutil:lastChanged() }</i18n:date></i18n:param>
       </i18n:translate>
       </p>

   </form>

   </section>

   </body>

</document>
