<?xml version="1.0"?>
<xsl:stylesheet
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    xmlns:exist="http://exist.sourceforge.net/NS/exist"
    xmlns:i18n="http://apache.org/cocoon/i18n/2.1"
    xmlns:xi="http://www.w3.org/2001/XInclude"
    version="1.0">

  <xsl:import href="../../../../xslt/searchdocu2html.xsl" />

  <xsl:param name="queryfile"/>

<xsl:template match="dict">
<html>
 <body>
  <xsl:apply-templates/>
 </body>
</html>
</xsl:template>

<xsl:template match="entry">
 <p>
  <xsl:apply-templates />
 </p>
</xsl:template>

<xsl:template match="lemma">
 <b>
  <xsl:apply-templates/>
 </b>
</xsl:template>

<xsl:template match="contlex"/>

<xsl:template match="POS">
 <sup><b><i><small>
  <xsl:apply-templates/>
 </small></i></b></sup>
</xsl:template>

<xsl:template match="stem"/>

<xsl:template match="article">
  <xsl:text> </xsl:text>
  <xsl:apply-templates select="DER"/>
  <xsl:apply-templates select="FIN"/>
  <xsl:apply-templates select="ENG"/>
  <xsl:apply-templates select="CF"/>
  <xsl:apply-templates select="EG"/>
</xsl:template>

<xsl:template match="DER">
  (<i>
    <xsl:apply-templates/>
  </i>)
</xsl:template>

<xsl:template match="FIN">
  <span lang="fi">
    <xsl:apply-templates/>
  </span>
</xsl:template>

<xsl:template match="ENG">
  <span lang="en">
    <xsl:apply-templates/>
  </span>
</xsl:template>

<xsl:template match="CF">
  <span lang="cf">
    <xsl:apply-templates/>
  </span>
</xsl:template>

<xsl:template match="EG">
  <br/>&#x20;<b>Esim.: </b>
  <xsl:apply-templates select="KOMI"/> =>
  <xsl:apply-templates select="FIN"/>
</xsl:template>

<xsl:template match="KOMI">
 <i>
  <xsl:apply-templates/>
 </i>
</xsl:template>

    <xsl:template match="exist:match">
	    <span class="exist-match"><xsl:apply-templates/></span>
    </xsl:template>
    
</xsl:stylesheet>
