xquery version "1.0";

declare namespace session="http://exist-db.org/xquery/session";
declare namespace request="http://exist-db.org/xquery/request";
declare namespace util="http://exist-db.org/xquery/util";
declare namespace i18n="http://apache.org/cocoon/i18n/2.1";

import module namespace   langmenu="http://www.risten.no/shared/langmenu" at "../xquery/langmenu.xqm";
import module namespace ristenutil="http://www.risten.no/shared/util"     at "../xquery/ristenutil.xqm";
import module namespace       save="http://www.risten.no/edit/save"       at "xquery/saveroutines.xqm";

(: Main function - retrieves some request attributes,
   forks further processing to other defined functions depending
   on the retrieved values :)
declare function local:main() as element()+
{
	let $id   := request:get-parameter("id",   ""),
		$top  := request:get-parameter("top",  ""),
		$mid  := request:get-parameter("mid",  ""),
		$botm := request:get-parameter("botm", ""),
		$lang := session:get-attribute("entrylang"),
		$pos  := session:get-attribute("pos"),
		$date := current-dateTime()
    return
        if(string-length($id) = 0) then
                <p>WARNING: There was an error with this request!
                   Please check with the webmaster. <small>Cause:
                   No request record value.</small><br/>
                   ID = {$id}<br/>
                   Top = {$top}<br/>
                   Mid = {$mid}<br/>
                   Botm = {$botm}<br/>
                </p>
        else
             <entry xml:lang="{$lang}" id="{$id}" date="{$date}" pos="{$pos}" >
               <topicClass top="{$top}" mid="{$mid}" botm="{$botm}" />
                 {  langmenu:get-termlangs(ristenutil:get-collection()) }
                 {  save:defined-languages($id cast as xs:integer) }
             </entry>
};

<document>
    <body>
        <section title="NewLang" i18n:attr="title" >
            { let $start := util:system-time() return
				(
					local:main(),
                     <p class="srchtime">
                        <i18n:translate>
                          <i18n:text>SearchTime</i18n:text>
                          <i18n:param>
                            { round-half-to-even( seconds-from-duration(
                              util:system-time()-$start) , 3)}
                          </i18n:param>
             	       </i18n:translate>
                     </p>
				)
			}
        </section>
    </body>
</document>
