<?xml version="1.0" encoding="UTF-8"?>

<!-- Format query results for display -->

<xsl:stylesheet 
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    xmlns:i18n="http://apache.org/cocoon/i18n/2.1"
    version="1.0">

    <!-- Adds the basic HTML wrapping based on the doc.
         structure provided by the XQuery -->
    <xsl:import href="../../xslt/create-termc-entry2html.xsl"/>

	<xsl:template match="entry">
		<div class="entry">
			<h3><i18n:text>NewRecStep1</i18n:text></h3>
    		<div class="common">

    		<!-- Note that to get method="POST" to work correctly with UTF-8,
    		     all three of method, accept-charset, and enctype should be specified -->
    		<form action="savenewrecord.xq"
		      method="POST"
		      accept-charset="UTF-8"
		      enctype="multipart/form-data" >

    		<div class="entryword"><i18n:text>NewClass</i18n:text>:</div>

   			<xsl:apply-templates select="topicClass"/>
   			<xsl:apply-templates select="classification">
                 <xsl:with-param name="class" select="@class" />
   			</xsl:apply-templates >

			<xsl:call-template name="common" />

            </form>
            </div>
		</div>
	</xsl:template>

	<xsl:template name="common">

          <input type="hidden" name="top"  value="{topicClass/@top}" />
          <input type="hidden" name="mid"  value="{topicClass/@mid}" />
          <input type="hidden" name="botm" value="{topicClass/@botm}" />

		 <div class="entryword"><i18n:text>Language</i18n:text>:</div>
         <xsl:apply-templates select="termlangs">
           <xsl:with-param name="lang" select="@xml:lang" />
         </xsl:apply-templates >

         <div class="entryword"><i18n:text>EntryWord</i18n:text>:</div>
         <input type="text" size="20" name="entry" tabindex="1">
           <xsl:attribute name="value"/>
         </input>

		<!-- The POS field/menu -->
        <div class="pos"><i18n:text>POS</i18n:text>:</div>
        <select size="1" name="pos">
            <option value="S">
              <xsl:if test="@pos = ('' or 'S')">
                <xsl:attribute name="selected">1</xsl:attribute>
              </xsl:if>
              <i18n:text catalogue="pos">S</i18n:text>
            </option>
            <option value="A">
              <xsl:if test="@pos = 'A'">
                <xsl:attribute name="selected">1</xsl:attribute>
              </xsl:if>
              <i18n:text catalogue="pos">A</i18n:text>
            </option>
            <option value="V">
              <xsl:if test="@pos = 'V'">
                <xsl:attribute name="selected">1</xsl:attribute>
              </xsl:if>
              <i18n:text catalogue="pos">V</i18n:text>
            </option>
            <option value="Adv">
              <xsl:if test="@pos = 'Adv'">
                <xsl:attribute name="selected">1</xsl:attribute>
              </xsl:if>
              <i18n:text catalogue="pos">Adv</i18n:text>
            </option>
            <option value="PP">
              <xsl:if test="@pos = 'PP'">
                <xsl:attribute name="selected">1</xsl:attribute>
              </xsl:if>
              <i18n:text catalogue="pos">PP</i18n:text>
            </option>
            <option value="Pron">
              <xsl:if test="@pos = 'Pron'">
                <xsl:attribute name="selected">1</xsl:attribute>
              </xsl:if>
              <i18n:text catalogue="pos">Pron</i18n:text>
            </option>
         </select>

        <div>
		<button title="Set alle felt tilbake til utgangspunktet." type="reset" >
		  <i18n:text>Reset</i18n:text>
        </button>
         
		<button title="Lagrar endringane" type="submit"
		        value="savecommon" name="common" >
          <i18n:text>Save</i18n:text>
        </button>
        </div>

	</xsl:template>


    <xsl:template match="topicClass">
		<span class="topic">
			<span class="top">
	    		<i18n:text i18n:catalogue="SD-class">
	    			<xsl:value-of select="@top"/>
	    		</i18n:text>
	    	</span>
	    	<xsl:if test="./@mid != ''">
	    		<span class="mid"> ⇒ <i18n:text i18n:catalogue="SD-class">
	    				<xsl:value-of select="@mid"/>
	    			</i18n:text>
	    		</span>
	    		<xsl:if test="./@botm != ''">
	    			<span class="botm"> ⇒ <i18n:text i18n:catalogue="SD-class">
	    					<xsl:value-of select="@botm"/>
	    				</i18n:text>
	    			</span>
	    		</xsl:if>
	    	</xsl:if>
		</span>
    </xsl:template>

  <xsl:template match="classification">
	<xsl:param name="class"/>
    <select size="1" name="class">
      <xsl:apply-templates>
        <xsl:with-param name="class" select="$class" />
      </xsl:apply-templates >
    </select>
  </xsl:template>

  <xsl:template match="macro">
	<xsl:param name="class"/>
    <optgroup disabled="1" title="{@id}" >
      <label>
        <xsl:value-of select="concat(@id,' — ')" />
        <i18n:text catalogue="SD-class"><xsl:value-of select="./@id"/></i18n:text>
      </label>
      <xsl:apply-templates>
        <xsl:with-param name="class" select="$class" />
      </xsl:apply-templates >
    </optgroup>
  </xsl:template>

  <xsl:template match="micro">
	<xsl:param name="class"/>
    <option value="{@id}" title="{@id}">
      <xsl:if test="@id = $class">
        <xsl:attribute name="selected" />
      </xsl:if>
      <i18n:text catalogue="SD-class"><xsl:value-of select="./@id"/></i18n:text>
    </option>
    <xsl:if test="./nano">
        <xsl:apply-templates>
          <xsl:with-param name="micro" select="@id" />
        </xsl:apply-templates>
    </xsl:if>
  </xsl:template>

  <xsl:template match="nano">
	<xsl:param name="class"/>
	<xsl:param name="micro"/>
    <option title="{@id}" >
      <xsl:attribute name="value">
        <xsl:value-of select="concat($micro,'-',@id)" />
      </xsl:attribute>
      <xsl:if test="@id = $class">
        <xsl:attribute name="selected" />
      </xsl:if>
      <xsl:text>&#160;&#160;&#160;&#160;</xsl:text>
      <i18n:text catalogue="SD-class"><xsl:value-of select="./@id"/></i18n:text>
    </option>
  </xsl:template>

  <xsl:template match="termlangs">
	<xsl:param name="lang"/>
    <select size="1" name="lang">
      <xsl:apply-templates>
        <xsl:with-param name="lang" select="$lang" />
      </xsl:apply-templates >
    </select>
  </xsl:template>

  <xsl:template match="language">
	<xsl:param name="lang"/>
    <option title="{@id}" >
      <xsl:attribute name="value">
        <xsl:value-of select="@id" />
      </xsl:attribute>
      <xsl:if test="@id = $lang">
        <xsl:attribute name="selected" />
      </xsl:if>
      <i18n:text><xsl:value-of select="@id"/></i18n:text>
    </option>
  </xsl:template>

</xsl:stylesheet>
