xquery version "1.0";

declare namespace session="http://exist-db.org/xquery/session";
declare namespace util="http://exist-db.org/xquery/util";
declare namespace i18n="http://apache.org/cocoon/i18n/2.1";

import module namespace inflmenu="http://www.risten.no/shared/inflmenu" at "../xquery/inflmenu.xqm";


(: Main function - retrieves some request attributes,
   forks further processing to other defined functions depending
   on the retrieved values :)
declare function local:main() as element()+
{		(: previous selections are stored in session attributes, and used
           for preselecting the same values as in the previous edit :)
	let $infl  := session:get-attribute("infl"     ),
		$sem	   := session:get-attribute("sem"		),
		$lang  := session:get-attribute("newreclang"),
		$date  := current-dateTime()
		
(: let $r := distinct-values(doc('/db/ordbase/terms/propnouns/terms-sme.xml')//infl/@lexc) :)
	
	return (
		<entry xml:lang="{$lang}" date="{$date}" infl="{$infl}" sem="{$sem}">
			<sem>
			</sem>
			<langentry xml:lang="" />
		{ inflmenu:get-inflections() }
		</entry>	
	)
};

<document>
	<body>
        <section title="NewRecord" i18n:attr="title">
            { let $start := util:system-time() return
				(
					local:main(),
                     <p class="srchtime">
                        <i18n:translate>
                          <i18n:text>SearchTime</i18n:text>
                          <i18n:param type="number" pattern="#.##" >
                            { seconds-from-duration(util:system-time()-$start) }
                          </i18n:param>
             	       </i18n:translate>
                     </p>
					

				)
			}
        </section>
    </body>
</document>
