xquery version "1.0";

declare option exist:serialize "expand-xincludes=no indent=yes";

declare namespace session="http://exist-db.org/xquery/session";
declare namespace request="http://exist-db.org/xquery/request";
declare namespace util="http://exist-db.org/xquery/util";



(: Present an overview of query results :)
declare function local:displayHitlist($hits as node()+)
as element()
{
    let $count := count($hits)
    return
        <dict xml:lang="{$language}">
            {$hits}
        </dict>
};

(: Main function - retrieves some request and session attributes,
   forks further processing to other defined functions depending
   on the retrieved values :)
declare function local:main() as element()+
{
	let $hits     := session:get-attribute("results")

	return
                if (empty($hits)) then (
				<p>Your query has timed out.
				  Please hit the «Find» button
				 again before downloading the lexicon.</p>
				 )
                else (
(: DEBUG info:        <p class="searchterm">
					  <i18n:text>UrSrchTrm</i18n:text>:
                      «{$term}»!<br/>
                      Document: «{$doc}»<br/>
                      Request: «{$request}»<br/>
                      Query: «{$query}»
                      </p>, :)
					local:displayHitlist($hits)			(: TODO :)
					)
};

local:main()
