xquery version "1.0";

declare namespace session="http://exist-db.org/xquery/session";
declare namespace util="http://exist-db.org/xquery/util";
declare namespace i18n="http://apache.org/cocoon/i18n/2.1";

import module namespace dictmenu="http://www.risten.no/shared/dictmenu" at "../xquery/dictmenu.xqm";
import module namespace inflmenu="http://www.risten.no/shared/inflmenu" at "../xquery/inflmenu.xqm";
import module namespace langmenu="http://www.risten.no/shared/langmenu" at "../xquery/langmenu.xqm";
import module namespace ristenutil="http://www.risten.no/shared/util"   at "../xquery/ristenutil.xqm";

(: Author: Sjur N. Moshagen "moshagen@samediggi.no"
   $Id: search.xq,v 1.11.2.1 2007/02/02 16:20:54 sjur Exp $
:)

let $d := ristenutil:store-coll-in-session()

return
<document>
   <body onLoad='parent.frame2.location.href="search-coll-entries.xq?iteration=2"'>
   
   <section title="SearchTitle" i18n:attr="edtmessg:title">

   <div class="logged-in">
     <p><i18n:text>LogdInAs</i18n:text>: {session:get-attribute("user")}</p>
     <p><a href="coll-select.xq?action=logout&amp;iteration=1"
           onClick='parent.frame2.location.href="empty.html"'
           target="frame1"
           ><i18n:text>Logout</i18n:text></a></p>
     <p><a href="coll-select.xq?iteration=1" target="frame1"
           onClick='parent.frame2.location.href="empty.html";
           parent.frame3.location.href="empty.html"'
        ><i18n:text>ChangeColl</i18n:text></a></p>
   </div>

	<!-- Note that to get method="POST" to work correctly with UTF-8,
         all three of method, accept-charset, and enctype should be specified -->
	<form action="search-coll-entries.xq"
	      target="frame2"
	      class="search"
          method="POST"
          accept-charset="UTF-8"
          enctype="multipart/form-data" >

    <input value="2" name="iteration" type="hidden"/>

     <table class="search">
	   <tr>
		 <th class="search">
		   <i18n:text>Collection</i18n:text>:
		 </th>
         <td class="search">
		   <i18n:text>{session:get-attribute("collection") }</i18n:text>
	     </td>
       </tr>
       <tr>
	     <th class="search"><i18n:text>SearchFor</i18n:text></th>
         <td class="search">
       	   <input id="searchterm" type="text" name="term" size="15" />
	     </td>
	   </tr>
	   <tr>
		 <th class="search"><i18n:text>SrchInfl</i18n:text></th>
		 <td class="search">
           { inflmenu:get-inflections() }
		 </td>
       </tr>
	   <tr>
		 <th class="search"><i18n:text>EditLangs</i18n:text></th>
		 <td class="search">
           { langmenu:get-termlangs(ristenutil:get-collection()) }
		 </td>
       </tr>
	   <tr>
		 <th class="search"><i18n:text>ShowHyph</i18n:text></th>
		 <td class="search">
           <input type="radio" name="showhyph" value="no" checked="true">
           <i18n:text>No</i18n:text></input>
           <br/>
           <input type="radio" name="showhyph" value="yes"> 
           <i18n:text>Yes</i18n:text></input>
		 </td>
       </tr>
	   <tr>
	     <th class="search" >
	       <i18n:translate>
             <i18n:text>Numbr2Sho</i18n:text>
             <i18n:param>
               <select name="howmany" size="1">
                 <option>10</option>
                 <option>20</option>
            	 <option selected="true">30</option>
                 <option>40</option>
                 <option>50</option>
                 <option>100</option>
                 <option>250</option>
                 <option>500</option>
                 <option>1000</option>
                 <option>all</option>
               </select>
             </i18n:param>
	       </i18n:translate>
		 </th>
	     <td class="search">
	       <span style="text-align: right; !important" >
           <input type="submit"
                  value="Search"
                  i18n:attr="value" />
	       </span>
	     </td>
       </tr>
     </table>

    <p class="srchex">The search field supports a complete set of regular
    expressions, which is applied to the string given by the XPath expression
    //entry/@id. The regular expressions supported is defined by the <a
    href="http://www.w3.org/TR/xmlschema-2/#regexs">XML Schema 2
    standard</a>,<em/> with extensions in the <a
    href="http://www.w3.org/TR/xpath-functions/#regex-syntax">XQuery
    standard</a>.<em/> In short, the supported regular expression language is
    similar to Perl regexes. Here are some examples:
    </p>

     <dl>
     	<dt>j$</dt><dd>all names ending in <strong>j</strong></dd>
     	<dt>^\p{{Ll}}</dt><dd>all names starting with any Unicode lower-case
     	  char</dd>
     	<dt>[^\p{{IsBasicLatin}}]</dt><dd>all names containing at least one
     	  non-ASCII char</dd>
     </dl>

    <p class="srchex">
       <i18n:translate>
         <i18n:text>DBCount</i18n:text>
         <i18n:param type="number" >{ristenutil:countRecords( ristenutil:get-collection() ) }</i18n:param>
         <i18n:param type="date" ><i18n:date pattern="dd.MM.yyyy" /></i18n:param>
       </i18n:translate>.</p>
    <p class="srchex">
       <i18n:translate>
         <i18n:text>LastUpdt</i18n:text>
         <i18n:param type="date" ><i18n:date
           src-pattern="yyyyMMddhhmmss"
           pattern="dd.MM.yyyy">{ristenutil:lastChanged() }</i18n:date></i18n:param>
       </i18n:translate>
       </p>

   </form>

   </section>

   </body>

</document>
