<?xml version="1.0" encoding="UTF-8"?>

<!-- Format query results for display -->

<xsl:stylesheet 
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    xmlns:i18n="http://apache.org/cocoon/i18n/2.1"
    version="1.0">

    <!-- Adds the basic HTML wrapping based on the doc. structure provided by the XQuery
         as well as some common elements like changelogs etc. -->
    <xsl:include href="../../xslt/create-termc-entry2html.xsl"/>
    
	<xsl:template match="entry">
		<div class="entry">
			<h3><i18n:text>NewRecStep1</i18n:text></h3>
    		<div class="common">

    		<!-- Note that to get method="POST" to work correctly with UTF-8,
    		     all three of method, accept-charset, and enctype should be specified -->
    		<form action="save-termc-entry.xq"
		      method="POST"
		      accept-charset="UTF-8"
		      enctype="multipart/form-data"
		      name="form1" >

            <!-- Encapsulate the form fields in a table for prettier layout: -->
            <table>

            <tr><td>
    			<span class="entryword"><i18n:text>SearchFor</i18n:text>:
                </span>
    			</td>
    			<td>
    			<xsl:apply-templates select="termcolls"/>
    			</td>
            </tr>

			<xsl:call-template name="common" />

            </table>
            </form>
            </div>
		</div>
	</xsl:template>
	
	<xsl:template name="common">

         <tr>
         <!-- Building the language menu such that the previous language selection
              is used by default. -->
		 <td>
		 <span class="entryword"><i18n:text>Language</i18n:text>:
		 </span>
		 </td>
		 <td>
         <select size="1" name="lang" id="lang">
            <option value="sme">
              <xsl:if test="@xml:lang = ('' or 'sme')">
                <xsl:attribute name="selected">1</xsl:attribute>
              </xsl:if>
              <i18n:text>sme</i18n:text>
            </option>
            <option value="smj">
              <xsl:if test="@xml:lang = 'smj'">
                <xsl:attribute name="selected">1</xsl:attribute>
              </xsl:if>
              <i18n:text>smj</i18n:text>
            </option>
            <option value="sma">
              <xsl:if test="@xml:lang = 'sma'">
                <xsl:attribute name="selected">1</xsl:attribute>
              </xsl:if>
              <i18n:text>sma</i18n:text>
            </option>
            <option value="nor">
              <xsl:if test="@xml:lang = 'nor'">
                <xsl:attribute name="selected">1</xsl:attribute>
              </xsl:if>
              <i18n:text>nor</i18n:text>
            </option>
            <option value="lat">
              <xsl:if test="@xml:lang = 'lat'">
                <xsl:attribute name="selected">1</xsl:attribute>
              </xsl:if>
              <i18n:text>lat</i18n:text>
            </option>
         </select>
         </td></tr>

         <tr>
		 <td><span class="entryword"><i18n:text>EntryWord</i18n:text>:
		 </span>
		 </td>
		 <td>
		  <textarea rows="5" cols="20" name="entry" tabindex="1">
<!--		    <xsl:attribute name="value"/> -->
		  </textarea>
        </td></tr>

        <tr>
		<!-- The POS field/menu -->
        <td><span class="cont" id="cont"><i18n:text>Cont. lex.</i18n:text>:
		</span>
        </td>
		 <td>
		 <xsl:apply-templates select="inflections" />
        </td></tr>
        
        <tr>
        <td><span class="sem"><i18n:text>Sem. tag</i18n:text>:
		</span>
        </td>
        <td>
        <select size="1" name="sem">
        		<option value="">
        		 <xsl:if test="@sem = ''">
	        		 <xsl:attribute name="selected">1</xsl:attribute>
	          </xsl:if>
              <i18n:text catalogue="pos">Unspecified</i18n:text>
            </option>
            <option value="sur">
        		 <xsl:if test="@sem = 'sur'">
	        		 <xsl:attribute name="selected">1</xsl:attribute>
	          </xsl:if>
              <i18n:text catalogue="sem">Surname</i18n:text>
            </option>
            <option value="mal">
        		 <xsl:if test="@sem = 'mal'">
	        		 <xsl:attribute name="selected">1</xsl:attribute>
	          </xsl:if>
              <i18n:text catalogue="sem">Male</i18n:text>
            </option>
            <option value="fem">
        		 <xsl:if test="@sem = 'fem'">
	        		 <xsl:attribute name="selected">1</xsl:attribute>
	          </xsl:if>
              <i18n:text catalogue="sem">Female</i18n:text>
            </option>
            <option value="plc">
        		 <xsl:if test="@sem = 'plc'">
	        		 <xsl:attribute name="selected">1</xsl:attribute>
	          </xsl:if>
              <i18n:text catalogue="sem">Placename</i18n:text>
            </option>
            <option value="org">
        		 <xsl:if test="@sem = 'org'">
	        		 <xsl:attribute name="selected">1</xsl:attribute>
	          </xsl:if>
              <i18n:text catalogue="sem">Organization</i18n:text>
            </option>
        </select>
        </td>
        </tr>

        <tr>
		 <td>
		<button title="Lagrar endringane" type="submit"
		        value="savecommon" name="common" >
          <i18n:text>Save</i18n:text>
        </button>
        </td>
        <td>
		<button title="Set alle felt tilbake til utgangspunktet." type="reset" >
		  <i18n:text>Reset</i18n:text>
        </button>
		 </td>
        </tr>
        
	</xsl:template>

<xsl:template match="inflections">
	<select name="infl" id="infl">
		<xsl:apply-templates select="inflection" />
		<option value="newinfl">
			<i18n:text catalogue="pos">New inflection</i18n:text>
		</option>
	</select>
</xsl:template>

<xsl:template match="inflection">
	<option>
		 <xsl:if test="parent::node()/@infl = @code">
   	 		 <xsl:attribute name="selected">1</xsl:attribute>
         </xsl:if>
		<xsl:attribute name="value">
			<xsl:value-of select="@code"/>
		</xsl:attribute>
		<i18n:text catalogue="pos">
			<xsl:value-of select="@code"/>
		</i18n:text>
	</option>
</xsl:template>

</xsl:stylesheet>
