<?xml version="1.0" encoding="UTF-8"?>

<!-- Format query results for display -->

<xsl:stylesheet 
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    xmlns:exist="http://exist.sourceforge.net/NS/exist"
    xmlns:i18n="http://apache.org/cocoon/i18n/2.1"
    xmlns:xi="http://www.w3.org/2001/XInclude"
    version="1.0">
    
    <xsl:import href="../../xslt/hitlist.xsl"/>

    <xsl:param name="queryfile"/>

    <xsl:template match="query-results">
      <p class="hitcount">
        <i18n:text>NoOfHits</i18n:text>:
        <xsl:value-of select="@hits"/>
      </p>
      <ul class="hitlist">
        <xsl:apply-templates />
      </ul>
    </xsl:template>

	<xsl:template match="entry">
        <li class="recordentry">
          <i18n:text>TermRecord</i18n:text>
          <xsl:text> </xsl:text>
          <xsl:value-of select="./@id"/>
          <!--xsl:apply-templates select="topicClass"/-->
          <ul>
            <xsl:apply-templates select="entryref"/>
          </ul>
        </li>
    </xsl:template>

    <xsl:template match="entryref">
      <li class="entryword">
        <span class="langcode">
          <xsl:value-of select="@xml:lang"/>
        </span>
        <xsl:text> </xsl:text>
        <!-- The following expression transforms a string of type
             terms-sme.xml#xpointer(//entry[@id='máná_biilastuollu\S'])
             to the string 'máná biilastuollu' (without quotes). The
             result string is used for user display. -->
        <xsl:choose>
          <xsl:when test="contains(xi:include/@href,'\')">
            <xsl:value-of select="translate(
                                    substring(
                                      substring-after(
                                        substring-before(xi:include/@href, '\'),
                                      '@id='),
                                    2),
                                  '_', ' ')"/>
          </xsl:when>
          <xsl:otherwise>
            <xsl:value-of select="translate(
                                    substring(
                                      substring-after(
                                        substring(xi:include/@href, 1, string-length(xi:include/@href) - 3),
                                      '@id='),
                                    2),
                                  '_', ' ')"/>
          </xsl:otherwise>
        </xsl:choose>
      </li>
    </xsl:template>

</xsl:stylesheet>
