xquery version "1.0";

declare namespace session="http://exist-db.org/xquery/session";
declare namespace util="http://exist-db.org/xquery/util";
declare namespace i18n="http://apache.org/cocoon/i18n/2.1";

import module namespace  dictmenu="http://www.risten.no/shared/dictmenu"  at "../xquery/dictmenu.xqm";
import module namespace classmenu="http://www.risten.no/shared/classmenu" at "../xquery/classmenu.xqm";
import module namespace ristenutil="http://www.risten.no/shared/util"     at "../xquery/ristenutil.xqm";

(: Author: Sjur N. Moshagen "moshagen@samediggi.no"
   $Id: coll-select.xq,v 1.1.2.1 2007/02/02 16:26:18 sjur Exp $
:)

let $user := session:get-attribute("user")
return

<document>
   <body>
   
   <section title="CollSelectTitle" i18n:attr="title">

   <div class="logged-in">
     <p><i18n:text>LogdInAs</i18n:text>: {$user}</p>
     <p><a href="coll-select.xq?action=logout">
        <i18n:text>Logout</i18n:text></a></p>
   </div>

	<!-- Note that to get method="POST" to work correctly with UTF-8,
         all three of method, accept-charset, and enctype should be specified -->
	<form action="search.xq"
	      class="search"
          method="POST"
          accept-charset="UTF-8"
          enctype="multipart/form-data"
          target="frame1">

     <p>Select a dictionary or term collection to edit:</p>

     <table class="search">
	   <tr>
		 <td class="search">
		   <select-coll-menu>
           { dictmenu:get-termcolls( $user) }
           { dictmenu:get-dictcolls( $user) }
           { dictmenu:get-classcolls($user) }
		   </select-coll-menu>
		 </td>
       </tr>
	   <tr>
	     <td class="search">
	       <!-- The onClick attribute is a simple javascript to empty
	            the result frame when submitting a new search request -->
           <input type="hidden"
                  value="1"
                  name="iteration" />
           <input type="submit"
                  value="SrchDicts"
                  i18n:attr="value" />

	     </td>
       </tr>
     </table>

    <p class="srchex">
       <i18n:translate>
         <i18n:text>DBCount</i18n:text>
         <i18n:param type="number" >
           {ristenutil:countRecords() },
           {ristenutil:count-term-entries() +
            ristenutil:count-dict-entries() }
           </i18n:param>
         <i18n:param type="date" ><i18n:date pattern="dd.MM.yyyy" /></i18n:param>
       </i18n:translate>.</p>
    <p class="srchex">
       <i18n:translate>
         <i18n:text>LastUpdt</i18n:text>
         <i18n:param type="date" ><i18n:date
           src-pattern="yyyyMMddhhmmss"
           pattern="dd.MM.yyyy">{ristenutil:lastChanged() }</i18n:date></i18n:param>
       </i18n:translate>
       </p>

   </form>

   </section>
   </body>
</document>
