<?xml version="1.0" encoding="UTF-8"?>

<xsl:stylesheet 
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
  xmlns:exist="http://exist.sourceforge.net/NS/exist"
  xmlns:i18n="http://apache.org/cocoon/i18n/2.1"
  version="1.0">

  <xsl:import href="../../xslt/search2html.xsl" />

  <xsl:template match="select-coll-menu">
    <select name="srchcoll">
      <xsl:choose>
        <xsl:when test="(termcolls/@membergroups +
                         dictcolls/@membergroups +
                         classes/@membergroups  ) > 1" >
          <xsl:attribute name="size">
            <xsl:choose>
              <xsl:when test="(termcolls/@membergroups = 0 and dictcolls/@membergroups = 0)">
                <xsl:value-of select="classes/@membergroups + 1"/>
              </xsl:when>
              <xsl:when test="(classes/@membergroups = 0 and dictcolls/@membergroups = 0)">
                <xsl:value-of select="termcolls/@membergroups + 1"/>
              </xsl:when>
              <xsl:when test="(termcolls/@membergroups = 0 and classes/@membergroups = 0)">
                <xsl:value-of select="dictcolls/@membergroups + 1"/>
              </xsl:when>
              <xsl:when test="termcolls/@membergroups = 0">
                <xsl:value-of select="dictcolls/@membergroups + classes/@membergroups + 2"/>
              </xsl:when>
              <xsl:when test="dictcolls/@membergroups = 0">
                <xsl:value-of select="termcolls/@membergroups + classes/@membergroups + 2"/>
              </xsl:when>
              <xsl:when test="classes/@membergroups = 0">
                <xsl:value-of select="termcolls/@membergroups + dictcolls/@membergroups + 2"/>
              </xsl:when>
              <xsl:otherwise>
                <xsl:value-of select="termcolls/@membergroups +
                                      dictcolls/@membergroups +
                                      classes/@membergroups   + 3"/>
              </xsl:otherwise>
            </xsl:choose>
          </xsl:attribute>
          <xsl:apply-templates select="termcolls"/>
          <xsl:apply-templates select="dictcolls"/>
          <xsl:apply-templates select="classes"/>
        </xsl:when>
        <xsl:otherwise>
          <xsl:attribute name="size">1</xsl:attribute>
          <xsl:apply-templates select="termcolls/termcoll"/>
          <xsl:apply-templates select="dictcolls/dictcoll"/>
          <xsl:apply-templates select="classes/class"/>
        </xsl:otherwise>
      </xsl:choose>
    </select>
  </xsl:template>

  <!-- This template will override the one in the imported stylesheet. It
       differs from the imported one by NOT having a "select all" alternative
       as the first choice - when editing, one can and must only select one -->
  <xsl:template match="termcolls">
    <optgroup label="termcolls" i18n:attr="edtmessg:label">
      <xsl:apply-templates/>
    </optgroup>
  </xsl:template>

  <xsl:template match="dictcolls">
    <optgroup label="dictionaries" i18n:attr="edtmessg:label">
      <xsl:apply-templates/>
    </optgroup>
  </xsl:template>

  <xsl:template match="classes">
    <optgroup label="classes" i18n:attr="edtmessg:label">
      <xsl:apply-templates/>
    </optgroup>
  </xsl:template>

</xsl:stylesheet>
