<?xml version="1.0" encoding="UTF-8"?>

<xsl:stylesheet 
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
    xmlns:i18n="http://apache.org/cocoon/i18n/2.1"
  version="1.0">

    <xsl:template match="changes">
      <div class="changelog"><i18n:text>ChangeLog</i18n:text>:</div>
      <table class="changelog" >
        <tr>
          <th><i18n:text>ChangeWho</i18n:text>:</th>
          <th><i18n:text>ChangeWhen</i18n:text>:</th>
          <th><i18n:text>ChangeWhat</i18n:text>:</th>
        </tr>
        <xsl:apply-templates >
          <xsl:sort select="@when" order="descending" />
        </xsl:apply-templates >
      </table>
    </xsl:template>

    <xsl:template match="change">
      <tr>
        <td><xsl:value-of select="@who" /></td>
          <td>
            <i18n:date-time
                src-pattern="yyyyMMddhhmmss"
                    pattern="yyyy-MM-dd HH.mm">
              <xsl:value-of select="@when"/>
            </i18n:date-time>
          </td>
        <td><xsl:value-of select="@what" /></td>
      </tr>
    </xsl:template>

</xsl:stylesheet>
