<?xml version="1.0" encoding="UTF-8"?>

<!-- Format query results for display -->

<xsl:stylesheet 
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    xmlns:exist="http://exist.sourceforge.net/NS/exist"
    xmlns:i18n="http://apache.org/cocoon/i18n/2.1"
    version="1.0">
    
    <xsl:include href="hitlist2html.xsl"/>
    
    <xsl:template match="query-results">
        <table class="hitlist">
            <xsl:call-template name="navigation">
                <xsl:with-param name="position" select="'top'"/>
            </xsl:call-template>
            <xsl:apply-templates/>
<!--            <xsl:call-template name="navigation">
                <xsl:with-param name="position" select="'bottom'"/>
            </xsl:call-template> -->
        </table>
    </xsl:template>
    
    <xsl:template name="navigation">
        <xsl:param name="position"/>
        <tr class="result-head" width="100%">
            <th class="nav{$position}" align="left" width="20%">
                <xsl:if test="@start &gt; 1">
                    <a href="termsearch.xq?start={@start - @max}&amp;howmany={@max}">
                        <i18n:text>Prev</i18n:text><br/>&lt;&lt;
                    </a>
                </xsl:if>

            </th>
            <th class="nav{$position}" align="center" width="60%">
                <i18n:text>DisplHits</i18n:text>
                <xsl:text> </xsl:text>
                <xsl:value-of select="@start"/> - <xsl:value-of select="@next - 1"/>
                <br/>
                (<i18n:text>TotalHits</i18n:text>: <xsl:value-of select="@hits"/>)
            </th>
            <th class="nav{$position}" align="right" width="20%">
                <xsl:if test="number(@next) &lt;= @hits">
                    <a href="termsearch.xq?start={@next}&amp;howmany={@max}">
                        <i18n:text>Next</i18n:text><br/>&gt;&gt;
                    </a>
                </xsl:if>

            </th>
        </tr>
    </xsl:template>
    
	<xsl:template match="item">
        <tr>
            <xsl:choose>
                <xsl:when test="position() mod 2 = 0">
                    <xsl:attribute name="class">tbleven</xsl:attribute>
                </xsl:when>
                <xsl:otherwise>
                    <xsl:attribute name="class">tblodd</xsl:attribute>
                </xsl:otherwise>
            </xsl:choose>
            <td class="hit" colspan="3">
<!--		<a href="dictrequest.xq?record={$entryid}" target="editor">
		</a> -->
                <a href="termrequest.xq?record={@href}" target="editor">
        		<span class="entryword">
        				<xsl:value-of select="head/text()"/>
        		</span>
                </a>,
        		<span class="POS">
        			<xsl:value-of select="head/@pos"/>
        		</span>
				<ul>
                    <xsl:apply-templates select="sense"/>
				</ul>
            </td>
        </tr>
    </xsl:template>
    
    <xsl:template match="sense">
		<li>
        <span class="status">
			<i18n:text i18n:catalogue="hitlist"><xsl:value-of select="@status"/></i18n:text>
        </span>
        (<xsl:apply-templates/>)
		</li>
    </xsl:template>
    
    <xsl:template match="topic">
		<span class="topic">
			<span class="top">
				<i18n:text i18n:catalogue="SD-class">
					<xsl:value-of select="top/@id"/>
				</i18n:text>
			</span>
			<xsl:if test="./mid/@id != ''">
				<span class="mid"> ⇒ <i18n:text i18n:catalogue="SD-class">
						<xsl:value-of select="mid/@id"/>
					</i18n:text>
				</span>
				<xsl:if test="./botm/@id != ''">
					<span class="botm"> ⇒ <i18n:text i18n:catalogue="SD-class">
							<xsl:value-of select="botm/@id"/>
						</i18n:text>
					</span>
				</xsl:if>
			</xsl:if>
		</span>
    </xsl:template>

    <xsl:template match="exist:match">
	    <span style="background-color: #FFFF00"><xsl:apply-templates/></span>
    </xsl:template>
    
</xsl:stylesheet>
