<?xml version="1.0" encoding="UTF-8"?>

<xsl:stylesheet 
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
  xmlns:i18n="http://apache.org/cocoon/i18n/2.1"
  version="1.0">

  <xsl:template match="document">
    <xsl:variable name="css">
        <xsl:choose>
            <xsl:when test="header/style/@href">
                <xsl:value-of select="header/style/@href"/>
            </xsl:when>
            <xsl:otherwise>../risten.css</xsl:otherwise>
        </xsl:choose>
    </xsl:variable>
    <html>
      <head>
        <title><xsl:value-of select="//query"/></title>
        <link rel="stylesheet" type="text/css" href="{$css}"/>
		<xsl:if test="header/style">
			<xsl:copy-of select="header/style"/>
        </xsl:if>
        <xsl:if test="header/script">
            <xsl:copy-of select="header/script"/>
        </xsl:if>
      </head>

      <body>
        <xsl:apply-templates select="body"/>
      </body>
    </html>
  </xsl:template>

  <xsl:template match="body">
    <xsl:apply-templates/>
  </xsl:template>

 <xsl:template match="body/section">
  <xsl:if test="@id">
    <a name="{@id}"></a>
  </xsl:if>
    <h1><i18n:text><xsl:value-of select="@title"/></i18n:text></h1>
  <xsl:apply-templates/>
 </xsl:template>

 <xsl:template match="@*|node()" priority="-1">
	<xsl:copy><xsl:apply-templates select="@*|node()"/></xsl:copy>
 </xsl:template>

</xsl:stylesheet>
