<?xml version="1.0" encoding="UTF-8"?>

<!-- Format dictionary entries for display -->

<xsl:stylesheet 
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    xmlns:i18n="http://apache.org/cocoon/i18n/2.1"
    version="1.0">
    
    <xsl:import href="../../xslt/get-dict-entry2html.xsl"/>
    
	<xsl:template match="entry">
		<div class="entry">
			<h3><i18n:text><xsl:value-of select="@collID"/></i18n:text></h3>
			<xsl:apply-templates select="lemma"/>
			<xsl:apply-templates select="POS"/>
			<xsl:apply-templates select="contlex"/>
			<xsl:apply-templates select="stem"/>
			<xsl:apply-templates select="article"/>
		</div>
	</xsl:template>

    <xsl:template match="lemma">
     <span class="lemma">
      <xsl:apply-templates/>
     </span>
    </xsl:template>

    <xsl:template match="contlex">
     <span class="infl">
      (<xsl:apply-templates/>)
     </span>
    </xsl:template>

    <xsl:template match="POS">
     <span class="pos">
      <xsl:apply-templates/>
     </span>
    </xsl:template>

<!--
<xsl:template match="stemcomm">
  <xsl:apply-templates/>
</xsl:template> -->

<xsl:template match="stem[. != '']">
 <i>
    <xsl:apply-templates/>~
 </i>
</xsl:template>

<xsl:template match="article">
  <div class="article">
<!--  <b>fi: </b>-->
  <xsl:apply-templates select="DOM"/>
  <xsl:apply-templates select="SYN"/>
  <xsl:apply-templates select="FIN"/>
  <xsl:apply-templates select="ENG"/>
  <xsl:apply-templates select="CF"/>
  <xsl:apply-templates select="EG"/>
  <!--
  <xsl:if test="not([last()])">
    <xsl:text>;</xsl:text>
   </xsl:if> -->
  </div>
</xsl:template>

<xsl:template match="DOM[. != '']">
  <div class="dom">
  DOM: <xsl:apply-templates/>
  </div>
</xsl:template>

<xsl:template match="SYN[. != '']">
  <div class="syntax">
  <span class="title">Syntax: </span>
  <xsl:apply-templates/>
  </div>
</xsl:template>

<xsl:template match="article/FIN[. != '']">
  <div class="trans">
  FIN: <xsl:apply-templates/>
  </div>
</xsl:template>

<xsl:template match="article/ENG[. != '']">
  <div class="trans">
  ENG: <xsl:apply-templates/>
  </div>
</xsl:template>

<xsl:template match="article/CF[. != '']">
  <div class="trans">
  CF: <xsl:apply-templates/>
  </div>
</xsl:template>

<!--
<xsl:template match="transgroup/trans">
  <xsl:apply-templates/>
  <xsl:if test="not([last()])">, </xsl:if>
</xsl:template>

<xsl:template match="comment">
 <xsl:text>(</xsl:text>
  <xsl:apply-templates/>
 <xsl:text>)</xsl:text>
</xsl:template>-->

<xsl:template match="EG">
  <br/>&#x20;<b>Esim.: </b>
  <xsl:apply-templates select="KOMI"/> =>
  <xsl:apply-templates select="FIN"/> ||
  <xsl:apply-templates select="ENG"/>
</xsl:template>

<xsl:template match="KOMI[. != '']">
 <i>
  <xsl:apply-templates/>
 </i>
</xsl:template>

<!-- The following elements are used in the dictionary,
     but not yet accounted for by this stylesheet:
ABBR
ACRON
ANT
BIB
COMM
CONN
DER
DIAL
MSP
PRO
PROP
SCI
SEE
SPELL
SYNO
-->

</xsl:stylesheet>
