xquery version "1.0";

declare option exist:serialize "expand-xincludes=no";

declare namespace util="http://exist-db.org/xquery/util";
declare namespace i18n="http://apache.org/cocoon/i18n/2.1";
declare namespace xi="http://www.w3.org/2001/XInclude";

import module namespace  dictmenu="http://www.risten.no/shared/dictmenu"  at "../xquery/dictmenu.xqm";
import module namespace  langmenu="http://www.risten.no/shared/langmenu"  at "../xquery/langmenu.xqm";
import module namespace classmenu="http://www.risten.no/shared/classmenu" at "../xquery/classmenu.xqm";
import module namespace ristenutil="http://www.risten.no/shared/util"     at "../xquery/ristenutil.xqm";

(: Author: Sjur N. Moshagen "moshagen@samediggi.no"
   $Id: search.xq,v 1.5.2.1 2007/01/12 10:59:02 sjur Exp $
:)

<document>
  
   <header>
     <xi:include href="../scripts/addchar.js" />
   </header>

   <body>
   
   <section title="SearchTitle" i18n:attr="title">

	<a href="help.xml"
	   target="frame2"
	   onClick='parent.frame3.location.href="help-searchmethod.xml"'
	   ><i18n:text>Help</i18n:text></a>

	<form action="search-entries.xq"
	      target="frame2"
	      class="search"
	      method="GET"
	      accept-charset="UTF-8">
         
     <table class="search">
       <tr>
	     <th class="search"><i18n:text>SearchFor</i18n:text></th>
         <td class="search">
       	   <input id="searchterm" type="text" name="term" size="15" />
	     </td>
	   </tr>
	   <tr>
		 <th class="search"><i18n:text>TakeAs</i18n:text></th>
		 <td class="search">
		   <select name="mode" size="1">
             <option value="trad"    ><i18n:text>Trad</i18n:text></option>
		     <option value="exact"   ><i18n:text>Exact</i18n:text></option>
             <!--option value="near"    ><i18n:text>Near</i18n:text></option>
			 <option value="contains"><i18n:text>WordList</i18n:text></option-->
		   </select>
		 </td>
       </tr>
       <tr>
	     <th class="search"><i18n:text>SearchIn</i18n:text></th>
	     <td class="search">
	       <select name="field" size="1">
	         <option value="head" selected="true"><i18n:text>EntryW</i18n:text></option>
	         <option value="def" ><i18n:text>Defin</i18n:text></option>
	         <option value="any" ><i18n:text>AnyField</i18n:text></option>
<!--	         <option value="exmp" disabled="true">Eksempel (ikkje brukt enno)</option> -->
	       </select>
	     </td>
       </tr>
	   <tr>
		 <th class="search"><i18n:text>SrchDicts</i18n:text></th>
		 <td class="search">
		   <select-coll-menu>
             { dictmenu:get-termcolls("public") }
             { dictmenu:get-dictcolls("public") }
		   </select-coll-menu>
		 </td>
       </tr>
	   <tr>
		 <th class="search"><i18n:text>SrchLangs</i18n:text></th>
		 <td class="search">
           { langmenu:get-publangs() }
		 </td>
       </tr>
	   <!--tr>
		 <th class="search"><i18n:text>SrchClass</i18n:text></th>
		 <td class="search">
           { classmenu:get-classification("SD-class") }
		 </td>
       </tr-->
	   <tr>
	     <td class="search" valign="center">
           <small>
             <i18n:translate>
               <i18n:text>Numbr2Sho</i18n:text>
               <i18n:param>
                 <select name="howmany" size="1">
                   <option>15</option>
                   <option>30</option>
                 </select>
               </i18n:param>
             </i18n:translate>
           </small>
	     </td>
	     <td class="search">
	       <!-- The onClick attribute is a simple javascript to empty
	            the result frame when submitting a new search request -->
           <input type="hidden"
                  name="iteration"
                  value="2"/>
           <input type="submit"
                  value="Search"
                  i18n:attr="value"/>
	     </td>
	   </tr>
     </table>

     <p class="srchex"><i18n:text>WldCrdTxt</i18n:text></p>
     <ul>
     	<li onclick="addchar('agg*a?')">agg*a? = aggregat, aggregáhta</li>
     	<li onclick="addchar('dep*')"  >dep* = departemeente, depositumma, deputasjon, ...</li>
     	<li onclick="addchar('*depart*')">*depart* = Arbeids- og sosialdepartementet, ...</li>
     	<li onclick="addchar('ki*k?')" >ki*k? = kiosk, kioska, ...</li>
     </ul>
  
     <p class="samichars"><i18n:text>SamiChar1</i18n:text></p>
     <table class="samichars">
       <tr>
         <td><input type="button" value="á" onclick="addchar('&#x00E1;')"/></td>
         <td><input type="button" value="č" onclick="addchar('&#x010D;')"/></td>
         <td><input type="button" value="đ" onclick="addchar('&#x0111;')"/></td>
         <td><input type="button" value="ŋ" onclick="addchar('&#x014B;')"/></td>
         <td><input type="button" value="š" onclick="addchar('&#x0161;')"/></td>
         <td><input type="button" value="ŧ" onclick="addchar('&#x0167;')"/></td>
         <td><input type="button" value="ž" onclick="addchar('&#x017E;')"/></td>
       </tr>
     </table>

    <p class="srchex">
       <i18n:translate>
         <i18n:text>DBCount</i18n:text>
         <i18n:param>{ristenutil:countRecords() }</i18n:param>
         <i18n:param>{ristenutil:count-dict-entries() +
                      ristenutil:count-term-entries() }</i18n:param>
         <i18n:param><i18n:date pattern="dd.MM.yyyy" /></i18n:param>
       </i18n:translate>.</p>
    <p class="srchex">
       <i18n:translate>
         <i18n:text>LastUpdt</i18n:text>
         <i18n:param type="date" ><i18n:date
           src-pattern="yyyyMMddhhmmss"
           pattern="dd.MM.yyyy">{ristenutil:lastChanged() }</i18n:date></i18n:param>
       </i18n:translate>
       </p>

   </form>

   </section>

   </body>

</document>
