<?xml version="1.0" encoding="UTF-8"?>

<!-- Format query results for display -->

<xsl:stylesheet 
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    xmlns:exist="http://exist.sourceforge.net/NS/exist"
    xmlns:i18n="http://apache.org/cocoon/i18n/2.1"
    version="1.0">
    
<xsl:template match="section">
  <h2>
    <xsl:choose>
      <xsl:when test="@i18n:attr">
        <xsl:choose>
          <xsl:when test="contains(@title,':')">
            <i18n:text>
              <xsl:attribute name="i18n:catalogue">
                <xsl:value-of select="substring-before(@title,':')"/>
              </xsl:attribute>
              <xsl:value-of select="substring-after(@title,':')"/>
            </i18n:text>
          </xsl:when>
          <xsl:otherwise>
            <i18n:text><xsl:value-of select="@title"/></i18n:text>
          </xsl:otherwise>
        </xsl:choose>
      </xsl:when>
      <xsl:otherwise>
        <xsl:value-of select="@title"/>
      </xsl:otherwise>
    </xsl:choose>
  </h2>
  <xsl:apply-templates/>
</xsl:template>

    <xsl:template name="navigation">
        <xsl:param name="position"/>
        <tr class="result-head">
            <th class="nav{$position}" align="left" width="20%">
                <xsl:if test="@start &gt; 1">
                    <a href="search-entries.xq?start={@start
                            - @max}&amp;howmany={@max}&amp;coll={@collection}"
                       target="" >
                        &lt;&lt;<i18n:text>Prev</i18n:text>
                    </a>
                </xsl:if>

            </th>
            <th class="nav{$position}" align="center" width="60%">
              <i18n:translate>
                <i18n:text>DisplHits</i18n:text>
                <i18n:param type="number"><xsl:value-of select="@start"/></i18n:param>
                <i18n:param type="number"><xsl:value-of select="@next - 1"/></i18n:param>
                <i18n:param type="number"><xsl:value-of select="@hits"/></i18n:param>
              </i18n:translate>
            </th>
            <th class="nav{$position}" align="right" width="20%">
                <xsl:if test="number(@next) &lt;= @hits">
                    <a href="search-entries.xq?start={@next}&amp;howmany={@max}&amp;coll={@collection}"
                       target="" >
                        <i18n:text>Next</i18n:text>&gt;&gt;
                    </a>
                </xsl:if>

            </th>
        </tr>
    </xsl:template>

</xsl:stylesheet>
