<?xml version="1.0" encoding="UTF-8"?>

<!-- Format query results for display -->

<xsl:stylesheet 
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    xmlns:exist="http://exist.sourceforge.net/NS/exist"
    xmlns:i18n="http://apache.org/cocoon/i18n/2.1"
    version="1.0">
    
    <xsl:import href="../../xslt/searchdocu2html.xsl"/>

    <xsl:param name="display-nohits">false</xsl:param>
    <xsl:param name="term"/>

  <xsl:template match="section/header">
    <xsl:if test="style">
      <link rel="stylesheet" type="text/css" href="{style/@href}"/>
    </xsl:if>
  </xsl:template>

  <xsl:template match="body/section">
    <h1><i18n:text><xsl:value-of select="@title"/></i18n:text></h1>
      <xsl:choose>
        <xsl:when test="count(section/table[@hits &gt; 0]) = 0">
          <p><i18n:text>NoHit</i18n:text> «<xsl:value-of select="$term"/>»!</p>
          <xsl:apply-templates/>
        </xsl:when>
        <xsl:otherwise>
          <xsl:apply-templates/>
        </xsl:otherwise>
      </xsl:choose>
  </xsl:template>

  <xsl:template match="section/section">
    <xsl:choose>
      <xsl:when test="$display-nohits = 'true' ">
        <xsl:apply-templates select="table"/>
      </xsl:when>
      <xsl:otherwise>
        <xsl:apply-templates select="table[@hits &gt; 0]"/>
      </xsl:otherwise>
    </xsl:choose>
  </xsl:template>

  <xsl:template match="body/section/p[@class = 'srchtime']">
    <p class="srchtime">
      <i18n:translate>
        <i18n:text>SearchTime</i18n:text>
        <i18n:param>
          <!--i18n:number pattern="0.###">1234 it doesn't work as it should! -->
          <!-- The format specification is according to:
    http://java.sun.com/j2se/1.3/docs/api/java/text/DecimalFormat.html ,
               which is used by the Cocoon i18n transformer, but for some
               reason, the result is not as expected. The Cocoon java source
               can be viewed at:
http://svn.apache.org/repos/asf/cocoon/branches/BRANCH_2_1_X/src/java/org/apache/cocoon/transformation/I18nTransformer.java
               towards the bottom. -->
            <xsl:value-of select="./text() +
              //section/section/p[@class = 'srchtime']/text()"/>
          <!--/i18n:number-->
        </i18n:param>
      </i18n:translate>
    </p>
  </xsl:template>

</xsl:stylesheet>
