<?xml version="1.0" encoding="UTF-8"?>

<xsl:stylesheet 
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
  xmlns:exist="http://exist.sourceforge.net/NS/exist"
  xmlns:i18n="http://apache.org/cocoon/i18n/2.1"
  version="1.0">

  <xsl:import href="../../xslt/search2html.xsl" />

  <!-- This template will override the one in the imported stylesheet. It
       differs from the imported one by allowing also dictionaries. -->
  <xsl:template match="select-coll-menu">
    <select name="coll">
      <!-- check whether there is more than one collection before adding
           the option to search all: -->
      <xsl:choose>
        <xsl:when test="(termcolls/@membergroups > 1) or
                      (./termcolls/@membergroups > 0 and ./dictcolls/@membergroups > 0) or
                      (dictcolls/@membergroups > 1)" >
          <xsl:attribute name="multiple">true</xsl:attribute>
          <xsl:attribute name="size">
            <xsl:choose>
              <xsl:when test="(termcolls/@membergroups > 1 and dictcolls/@membergroups = 0)">
                <xsl:value-of select="termcolls/@membergroups + 2"/>
              </xsl:when>
              <xsl:when test="(termcolls/@membergroups = 0 and dictcolls/@membergroups > 1)">
                <xsl:value-of select="dictcolls/@membergroups + 2"/>
              </xsl:when>
              <xsl:otherwise>
                <xsl:value-of select="termcolls/@membergroups + dictcolls/@membergroups + 3"/>
              </xsl:otherwise>
            </xsl:choose>
          </xsl:attribute>
          <option selected="true" value="all" >
            <i18n:text>AllDicts</i18n:text>
          </option>
          <xsl:apply-templates select="termcolls"/>
          <xsl:apply-templates select="dictcolls"/>
        </xsl:when>
        <xsl:otherwise>
          <xsl:attribute name="size">1</xsl:attribute>
          <xsl:apply-templates select="termcolls/termcoll"/>
          <xsl:apply-templates select="dictcolls/dictcoll"/>
        </xsl:otherwise>
      </xsl:choose>
    </select>
  </xsl:template>

  <xsl:template match="termcolls">
    <optgroup label="termcolls" i18n:attr="label">
      <xsl:apply-templates/>
    </optgroup>
  </xsl:template>

  <xsl:template match="dictcolls">
    <optgroup label="dictionaries" i18n:attr="label">
      <xsl:apply-templates/>
    </optgroup>
  </xsl:template>

</xsl:stylesheet>
