module namespace inflmenu="http://www.risten.no/shared/inflmenu";

declare namespace util="http://exist-db.org/xquery/util";
declare namespace xmldb="http://exist-db.org/xquery/xmldb";

(: Input: //infl/@lexc:)

declare function inflmenu:get-inflections() as element()
{
let $inflections := distinct-values(doc("/db/ordbase/terms/propnouns/terms-sme.xml")//infl/@lexc)
return
	<inflections> {
		for $infl in $inflections
		order by $infl
		return <inflection code="{$infl}"/>
		}
	</inflections>
};

(:

In the XSL that uses this input:

<inflections>
    <inflection code="K"/>
    <inflection code="ACCRA"/>
    <inflection code="PIERA"/>
    <inflection code="NIILLAS"/>
    <inflection code="HEANDARAT"/>
    <inflection code="MARJA"/>
    <inflection code="LONDON"/>
    <inflection code="BERN"/>
    <inflection code="BERN "/>
    <inflection code="ANAR"/>
    <inflection code=" NIILLAS"/>
    <inflection code="NYSTØ"/>
    <inflection code="C"/>
    <inflection code="GUOLBBA"/>
    <inflection code="ALEUHTAT"/>
    <inflection code="PLACE"/>
    <inflection code="ROMSA"/>
    <inflection code="SULLOT"/>
    <inflection code="GEAVNNIS"/>
    <inflection code="DUORTNUS"/>
    <inflection code="GIEDDI"/>
    <inflection code="EATNAMAT"/>
    <inflection code=" LONDON"/>
    <inflection code=" ANAR"/>
    <inflection code=" NYSTØ"/>
    <inflection code="VARGGAT"/>
    <inflection code=" MARJA"/>
    <inflection code=" ACCRA"/>
</inflections>

should be transformed to HTML:

<select name="infl">
  <option ...>
</select>

:)