<?xml version="1.0" encoding="UTF-8"?>

<xsl:stylesheet 
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
  xmlns:i18n="http://apache.org/cocoon/i18n/2.1"
  version="1.0">

  <!-- The frameset iteration number -->
  <xsl:param name="iteration">1</xsl:param>
  <xsl:param name="locale"/>
  
  <xsl:variable name="newiteration">
    <xsl:choose>
      <xsl:when test="$iteration &lt; 9">
        <xsl:value-of select="$iteration + 1"/>
      </xsl:when>
      <xsl:otherwise>
        <xsl:value-of select="$iteration"/>
      </xsl:otherwise>
    </xsl:choose>
  </xsl:variable>

  <xsl:template match="a">
    <a>
      <xsl:copy-of select="@*"/>
      <xsl:if test="@href[not(contains(.,'iteration'))]">
        <xsl:attribute name="href">
          <xsl:choose>
            <xsl:when test="contains(@href,'?')">
              <xsl:value-of select="concat(@href,
                                           '&amp;iteration=',
                                           $iteration + 1
                                           )"/>
            </xsl:when>
            <xsl:otherwise>
              <xsl:value-of select="concat(@href,
                                           '?iteration=',
                                           $iteration + 1
                                           )"/>
            </xsl:otherwise>
          </xsl:choose>
        </xsl:attribute>
      </xsl:if>
      <xsl:if test="not(@target)">
        <xsl:attribute name="target">
          <xsl:value-of select="concat('frame',$newiteration)" />
        </xsl:attribute>
      </xsl:if>
      <xsl:apply-templates/>
    </a>
<!-- DEBUG:
    - locale: <xsl:value-of select="$locale" />
-->
  </xsl:template>

  <xsl:template match="form">
    <form>
      <xsl:copy-of select="@*"/>
      <xsl:if test="not(@target)">
        <xsl:attribute name="target">
          <xsl:value-of select="concat('frame',$newiteration)" />
        </xsl:attribute>
      </xsl:if>
      <xsl:if test="not(./input[@name = 'iteration'])">
        <input type="hidden" name="iteration" value="{$newiteration}"/>
      </xsl:if>
      <xsl:apply-templates/>
    </form>
<!-- DEBUG:
    - locale: <xsl:value-of select="$locale" />
-->
  </xsl:template>

 <xsl:template match="@*|node()" priority="-1">
	<xsl:copy><xsl:apply-templates select="@*|node()"/></xsl:copy>
 </xsl:template>

</xsl:stylesheet>
