<?xml version="1.0" encoding="UTF-8"?>

<xsl:stylesheet 
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
  xmlns:i18n="http://apache.org/cocoon/i18n/2.1"
  version="1.0">

<!--+ This stylesheet is made for processing content-sentric XML files like the
    | the help files, the welcome page, etc.
    |
    | It should NOT be used as the last processing include for search results.
    | Use searchdoc2html.xsl for that purpose.
    |
    | $Id: docu2html.xsl,v 1.8 2006/10/02 21:17:21 sjur Exp $
    +-->  

  <xsl:template match="document">
    <xsl:variable name="css">
        <xsl:choose>
            <xsl:when test="body/header/style/@href">
                <xsl:value-of select="body/header/style/@href"/>
            </xsl:when>
            <xsl:otherwise>../risten.css</xsl:otherwise>
        </xsl:choose>
    </xsl:variable>
    <html>
      <head>
        <title><xsl:value-of select="//query"/></title>
        <link rel="stylesheet" type="text/css" href="{$css}"/>
		<xsl:if test="header/style">
			<xsl:copy-of select="header/style"/>
        </xsl:if>
        <xsl:if test="header/script">
            <xsl:copy-of select="header/script"/>
        </xsl:if>
      </head>
      <xsl:apply-templates select="body"/>
    </html>
  </xsl:template>

  <xsl:template match="header">
    <span class="header"><xsl:value-of select="./title/text()"/></span>
  </xsl:template>

  <xsl:template match="body">
    <body class="docu">
      <h2><xsl:value-of select="../header/title"/></h2>
      <xsl:apply-templates />
    </body>
  </xsl:template>

  <xsl:template match="section">
      <h3 class="docu">
        <xsl:choose>
          <xsl:when test="./title/a">
            <a class="docu" href="{./title/a/@href}" target="{./title/a/@target}">
              <xsl:value-of select="title/a"/>
            </a>
          </xsl:when>
          <xsl:otherwise>
            <xsl:value-of select="title"/>
          </xsl:otherwise>
        </xsl:choose>
      </h3>
      <xsl:apply-templates />
  </xsl:template>

  <xsl:template match="title"/>
  <xsl:template match="a[../title]"/>

 <xsl:template match="@*|node()" priority="-1">
	<xsl:copy><xsl:apply-templates select="@*|node()"/></xsl:copy>
 </xsl:template>

</xsl:stylesheet>
