<?xml version="1.0" encoding="UTF-8"?>

<xsl:stylesheet 
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
  xmlns:i18n="http://apache.org/cocoon/i18n/2.1"
  xmlns:exist="http://exist.sourceforge.net/NS/exist"
  xmlns:xi="http://www.w3.org/2001/XInclude"
  exclude-result-prefixes="exist xi"
  version="1.0">

<!--+ This stylesheet is made for processing the result of queries against the
    | eXist database.
    |
    | It should NOT be used as the processing of content-centric documents,
    | such as XML documents for help files, etc.
    |
    | $Id: searchdocu2html.xsl,v 1.6 2006/12/05 09:59:20 sjur Exp $
    +-->  

  <xsl:template match="document">
    <html>
      <head>
        <title><xsl:value-of select="body/header/title"/></title>
        <xsl:choose>
          <xsl:when test="body/header/style/@href">
              <xsl:apply-templates select="body/header/style"/>
          </xsl:when>
          <xsl:when test="header/style/@href">
              <xsl:apply-templates select="header/style"/>
          </xsl:when>
          <xsl:otherwise>
            <link rel="stylesheet" type="text/css" href="../risten.css"/>
          </xsl:otherwise>
        </xsl:choose>
        <xsl:apply-templates select=".//section/header"/>
		<xsl:if test="header/style">
			<xsl:copy-of select="header/style"/>
        </xsl:if>
        <xsl:if test="header/script">
            <xsl:copy-of select="header/script"/>
        </xsl:if>
      </head>
      <body>
        <xsl:apply-templates select="body"/>
      </body>
    </html>
  </xsl:template>

  <xsl:template match="header">
    <!--span class="header"><xsl:value-of select="./title/text()"/></span-->
  </xsl:template>

  <xsl:template match="header/style">
    <link rel="stylesheet" type="text/css" href="{@href}"/>
  </xsl:template>

  <xsl:template match="body">
    <xsl:apply-templates />
  </xsl:template>

<xsl:template match="body/section">
    <h1><i18n:text>
      <xsl:if test="@catalogue">
        <xsl:attribute name="i18n:catalogue">
          <xsl:value-of select="@catalogue"/>
        </xsl:attribute>
      </xsl:if>
    <xsl:value-of select="@title"/></i18n:text></h1>
  <xsl:apply-templates/>
</xsl:template>

  <xsl:template match="title"/>
  <xsl:template match="a[../title]"/>

 <xsl:template match="@*|node()" priority="-1">
	<xsl:copy><xsl:apply-templates select="@*|node()"/></xsl:copy>
 </xsl:template>

</xsl:stylesheet>
